Skip to content
中文

POST /suno/fetch

Method: POSTEndpoint: /suno/fetch

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Header Parameters

text
Accept
string
Optional
Example:
application/json
Content-Type
string
Optional
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
ids
array
[string]
Required
  // provider-specific example normalized for English documentation
action
string
Optional
  // provider-specific example normalized for English documentation
Example
{
"ids"
:
[
"string"
]
,
"action"
:
"string"
}

Example Request

Shell

bash
curl --location --request POST '/suno/fetch' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "ids": [
        "string"
    ],
    "action": "string"
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
code
string
Required
message
string
Required
data
array
[object]
Required
task_id
string
Optional
notify_hook
string
Optional
action
string
Optional
status
string
Optional
fail_reason
string
Optional
submit_time
integer
Optional
start_time
integer
Optional
finish_time
integer
Optional
progress
string
Optional
data
array
[object]
Optional

Example

json
{
    "code": "success",
    "message": "",
    "data": [
        {
            "task_id": "346c5d10-a4a1-4f49-a851-66a7dae6cfaf",
            "notify_hook": "",
            "action": "MUSIC",
            "status": "IN_PROGRESS",
            "fail_reason": "",
            "submit_time": 1716191749,
            "start_time": 1716191786,
            "finish_time": 0,
            "progress": "0%",
            "data": [
                {
                    "id": "e9893d04-6a63-4007-8473-64b706eca4d1",
                    "title": "Electric Dance Party",
                    "status": "streaming",
                    "metadata": {
                        "tags": "club banger high-energy edm",
                        "prompt": "[Verse]\nEverybody in the place\nLet's go\nJump and dance\nFeel the rhythm\nLose control (ooh-yeah!)\nHands up in the air\nIt's time to show\nMove your body like you're on a roll\n\nShake it to the left\nShake it to the right\nFeel the bass\nFeel the beat\nAll night (ooh-yeah!)\nMiku's in the house\nGonna set the stage on fire\nGet ready for a wild ride\nIt's our desire\n\n[Verse 2]\nLights are flashing\nColors everywhere (ooh-yeah!)\nFeel the energy\nIt's in the air\nWe're unstoppable\nNothing can bring us down\nDancing to the beat\nThe whole world around",
                        "duration": null,
                        "error_type": null,
                        "error_message": null,
                        "audio_prompt_id": null,
                        "gpt_description_prompt": "miku dance"
                    },
                    "audio_url": "https://audiopipe.suno.ai/?item_id=e9893d04-6a63-4007-8473-64b706eca4d1",
                    "image_url": "https://cdn1.suno.ai/image_e9893d04-6a63-4007-8473-64b706eca4d1.png",
                    "video_url": "",
                    "model_name": "chirp-v3",
                    "image_large_url": "https://cdn1.suno.ai/image_large_e9893d04-6a63-4007-8473-64b706eca4d1.png",
                    "major_model_version": "v3"
                },
                {
                    "id": "fe69611b-fc72-4f6e-b476-5eef0b88c2e3",
                    "title": "Electric Dance Party",
                    "status": "streaming",
                    "metadata": {
                        "tags": "club banger high-energy edm",
                        "prompt": "[Verse]\nEverybody in the place\nLet's go\nJump and dance\nFeel the rhythm\nLose control (ooh-yeah!)\nHands up in the air\nIt's time to show\nMove your body like you're on a roll\n\nShake it to the left\nShake it to the right\nFeel the bass\nFeel the beat\nAll night (ooh-yeah!)\nMiku's in the house\nGonna set the stage on fire\nGet ready for a wild ride\nIt's our desire\n\n[Verse 2]\nLights are flashing\nColors everywhere (ooh-yeah!)\nFeel the energy\nIt's in the air\nWe're unstoppable\nNothing can bring us down\nDancing to the beat\nThe whole world around",
                        "duration": null,
                        "error_type": null,
                        "error_message": null,
                        "audio_prompt_id": null,
                        "gpt_description_prompt": "miku dance"
                    },
                    "audio_url": "https://audiopipe.suno.ai/?item_id=fe69611b-fc72-4f6e-b476-5eef0b88c2e3",
                    "image_url": "https://cdn1.suno.ai/image_fe69611b-fc72-4f6e-b476-5eef0b88c2e3.png",
                    "video_url": "",
                    "model_name": "chirp-v3",
                    "image_large_url": "https://cdn1.suno.ai/image_large_fe69611b-fc72-4f6e-b476-5eef0b88c2e3.png",
                    "major_model_version": "v3"
                }
            ]
        }
    ]
}